Remove the short-lived security-policy parameter.
authorRémi Denis-Courmont <rem@videolan.org>
Tue, 18 Mar 2008 19:12:00 +0000 (21:12 +0200)
committerRémi Denis-Courmont <rem@videolan.org>
Tue, 18 Mar 2008 19:12:00 +0000 (21:12 +0200)
commit6ee1e74f7983b2d929f6511b35ef6ca72fbea1f4
tree22280bb933eb1c61a76bbde2bca81876f305e5cb
parent794a69356e450a617a4adde3775cfa50ae643a20
Remove the short-lived security-policy parameter.

In by far the overwhelming majority of cases, the user would not know
how to determine the correct answer to the security prompt (did you
ever compare SSL error handling in IE6 and IE7?). Since the trust value
is now determined programatically, this would seem to mostly help users
shoot themselves in the foot.

--security-policy is also broken when using --playlist-enqueue: imagine
you are running VLC with no security, and then your browser enqueues an
M3U from some nasty webserver... fireworks.

Wrappers around VLC really should NOT use M3U files if they need to
tweak certain options (e.g. --sout). Global options can simply be set
the normal way from the command line (e.g.: vlc --sout '#std{...}').
Per-item options can be set using the colon notation. Multiple items
should be expanded on the command line in the right order, rather than
written to a M3U file. Alternative, IPC interfaces could be used
(single instance + playlist enqueue, RC interface, DBus interface...)
or language bindings.

*** Important note ***
Web browser plugins are still in need of fixing. I suppose
libvlc-control should be extented to support playlist item trust.

Feel free to revert and do something else if you have a _better_ idea.
src/libvlc-module.c
src/misc/variables.c